MessageType (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jms.support.converter

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - org.springframework.jms.support.converter.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<MessageType>

      public enum MessageType
      extends Enum<MessageType>

  Constants that indicate a target message type to convert to: a `TextMessage`, a `BytesMessage`, a `MapMessage` or an `ObjectMessage`.
  Since:
    3.0
  Author:
    Juergen Hoeller
  See Also:
    `MarshallingMessageConverter.setTargetType(org.springframework.jms.support.converter.MessageType)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTES`
    `MAP`
    `OBJECT`
    `TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final MessageType TEXT

    - #### BYTES

          public static final MessageType BYTES

    - #### MAP

          public static final MessageType MAP

    - #### OBJECT

          public static final MessageType OBJECT

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null